Bug 23848 - REGRESSION: Crash when mouse cursor moves over a link on www.opportuno.de
Summary: REGRESSION: Crash when mouse cursor moves over a link on www.opportuno.de
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Normal
Assignee: mitz
URL: http://www.opportuno.de/stellenangebo...
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2009-02-09 09:35 PST by Mehmet
Modified: 2009-02-28 01:45 PST (History)
0 users

See Also:


Attachments
crash-log (32.40 KB, text/plain)
2009-02-09 09:51 PST, Mehmet
no flags Details
Reduction (will crash) (364 bytes, text/html)
2009-02-27 17:25 PST, mitz
no flags Details
Move code to invalidate z-order lists on style change from RenderBox to RenderBoxModeObject (44.13 KB, patch)
2009-02-27 23:53 PST, mitz
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mehmet 2009-02-09 09:35:44 PST
Hello Webkit-Team,

latest Webkit (r40777) crashes when I hove with the mousecursor over a link (and the popup comes up) on the following website:

http://www.opportuno.de/stellenangebote_sap_inregionsiegen%20(57...).html

Thank you in advance.
Mehmet
Comment 1 Mehmet 2009-02-09 09:51:47 PST
Created attachment 27485 [details]
crash-log
Comment 2 Alexey Proskuryakov 2009-02-10 11:59:52 PST
Confirmed as a regression with r40827.
Comment 3 Alexey Proskuryakov 2009-02-10 12:00:44 PST
<rdar://problem/6573250>
Comment 4 mitz 2009-02-27 17:25:10 PST
Created attachment 28109 [details]
Reduction (will crash)
Comment 5 mitz 2009-02-27 23:53:36 PST
Created attachment 28112 [details]
Move code to invalidate z-order lists on style change from RenderBox to RenderBoxModeObject
Comment 6 mitz 2009-02-28 01:45:13 PST
Fixed in <http://trac.webkit.org/changeset/41317>.